#
# spec file for package netcomponents (Version 1.3.8)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# icecream 0


Name:           netcomponents
BuildRequires:  ant xml-commons-apis java-1_7_0-openjdk-devel
%define section free
Summary:        Internet Protocol Suite Java Library
Version:        1.3.8
Release:        301.3
License:        LGPL-2.1+
Group:          Development/Libraries/Java
Source:         http://www.savarese.org/downloads/NetComponents/NetComponents-1.3.8-src.tar.gz
Patch:          %{name}-java14compat.patch
Url:            http://www.savarese.org/java/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
NetComponents is an Internet protocol suite Java library originally
developed by ORO, Inc.	This version supports Finger, Whois, TFTP,
Telnet, POP3, FTP, NNTP, SMTP, and some miscellaneous protocols like
Time and Echo as well as BSD R command support.  The purpose of the
library is to provide fundamental protocol access, not higher-level
abstractions.  Therefore, some of the design violates object-oriented
design principles.  Its philosophy is to make the global functionality
of a protocal accesible (for example, TFTP send file and receive file)
when possible, but also provide access to the fundamental protocols
where applicable so that the programmer can construct custom
implementations (for example, the TFTP packet classes and the TFTP
packet send and receive methods are exposed).



%package javadoc
License:        LGPL-2.1+
PreReq:         coreutils
Summary:        Javadoc for netcomponents
Group:          Development/Libraries/Java

%description javadoc
NetComponents, is an Internet protocol suite Java library originally
developed by ORO, Inc.	This version supports Finger, Whois, TFTP,
Telnet, POP3, FTP, NNTP, SMTP, and some miscellaneous protocols like
Time and Echo as well as BSD R command support.  The purpose of the
library is to provide fundamental protocol access, not higher-level
abstractions.  Therefore, some of the design violates object-oriented
design principles.  Our philosophy is to make the global functionality
of a protocal accesible (e.g., TFTP send file and receive file) when
possible, but also provide access to the fundamental protocols where
applicable so that the programmer may construct his own custom
implementations (e.g, the TFTP packet classes and the TFTP packet send
and receive methods are exposed).

This package contains the javadoc documentation for netcomponents.



%prep
%setup -q -n NetComponents-%{version}
%patch -p1
# -----------------------------------------------------------------------------

%build
ant jar javadocs
# -----------------------------------------------------------------------------

%install
# jar
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p build/lib/NetComponents-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)
# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT
# -----------------------------------------------------------------------------

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi
# -----------------------------------------------------------------------------

%files
%defattr(0644,root,root,0755)
%doc CHANGES README COPYRIGHT LICENSE
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
# -----------------------------------------------------------------------------

%changelog
* Mon Jul 23 2007 coolo@suse.de
- fix build
* Thu Sep 21 2006 skh@suse.de
- don't try to build with icecream within SUSE build system
- use source=1.4 and target=1.4 for build with java 1.5
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jul 28 2005 jsmeix@suse.de
- Adjustments in the spec file.
* Mon Jul 18 2005 jsmeix@suse.de
- Current version 1.3.8 from JPackage.org
* Thu Sep 16 2004 skh@suse.de
- Fix prerequires of javadoc subpackages
* Thu Sep  2 2004 skh@suse.de
- Initial package created with version 1.3.8 (JPackage 1.5)
